Bug 48481 - Netscape 4.76 hangs updated redhat 7.1
Netscape 4.76 hangs updated redhat 7.1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-10 16:04 EDT by Mike Potts
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Potts 2001-07-10 16:04:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
Fully updated redhat 7.1 can hang completely (can't even telnet
in) when running netscape 4.76 under gnome.  It's happened to me
four or five times now.  Not sure where to look for log messages,
there's nothing in /var/log/XFree86.log or /var/log/messages.  It
doesn't seem to be related to Javascript because it's happened
while I've had javascript turned off.  It even happened on netscape
startup once.  Seems it might be related to mouse interaction because
it's only happened while I've been moving the mouse in (or through)
the netscape window.


How reproducible:
Sometimes

Steps to Reproduce:
1. run netscape
2. use it
3. cross fingers
	

Additional info:
Comment 1 Bill Nottingham 2001-07-10 16:05:50 EDT
What machine is this on?
Comment 2 Bill Nottingham 2001-07-10 16:06:16 EDT
(i.e., desktop, laptop, etc.)

Also, what sort of video card?
Comment 3 Mike Potts 2001-07-10 18:05:05 EDT
It's a Sony VAIO PCV-J120 (or PCV-J100) desktop with intel 810
on-board video.

From XF86Config-4:
-----------------

Section "Device"
	# no known options
	Identifier   "Intel 810"
        Driver       "i810"
        VendorName   "Intel 810"
        BoardName     "Intel 810"
	VideoRam 16384
        
        #BusID
EndSection

From dmesg:
----------

Linux version 2.4.2-2 (root@porky.devel.redhat.com) (gcc version 2.96 20000731
(Red Hat Linux 7.1 2.96-79)) #1 Sun Apr 8 20:41:30 EDT 2001
BIOS-provided physical RAM map:
 BIOS-e820: 000000000009fc00 @ 0000000000000000 (usable)
 BIOS-e820: 0000000000000400 @ 000000000009fc00 (reserved)
 BIOS-e820: 0000000000010000 @ 00000000000f0000 (reserved)
 BIOS-e820: 0000000007dfc000 @ 0000000000100000 (usable)
 BIOS-e820: 0000000000003000 @ 0000000007efc000 (ACPI data)
 BIOS-e820: 0000000000001000 @ 0000000007eff000 (ACPI NVS)
 BIOS-e820: 0000000000010000 @ 00000000ffff0000 (reserved)
On node 0 totalpages: 32508
zone(0): 4096 pages.
zone DMA has max 32 cached pages.
zone(1): 28412 pages.
zone Normal has max 221 cached pages.
zone(2): 0 pages.
zone HighMem has max 1 cached pages.
Kernel command line: auto BOOT_IMAGE=linux ro root=302
BOOT_FILE=/boot/vmlinuz-2.4.2-2 hdc=ide-scsi
ide_setup: hdc=ide-scsi
Initializing CPU#0
Detected 701.597 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1399.19 BogoMIPS
Memory: 125452k/130032k available (1365k kernel code, 4192k reserved, 92k data,
236k init, 0k highmem)
Dentry-cache hash table entries: 16384 (order: 5, 131072 bytes)
Buffer-cache hash table entries: 4096 (order: 2, 16384 bytes)
Page-cache hash table entries: 32768 (order: 6, 262144 bytes)
Inode-cache hash table entries: 8192 (order: 4, 65536 bytes)
VFS: Diskquotas version dquot_6.5.0 initialized
CPU: Before vendor init, caps: 0383f9ff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0383f9ff 00000000 00000000 00000000
CPU: After generic, caps: 0383f9ff 00000000 00000000 00000000
CPU: Common caps: 0383f9ff 00000000 00000000 00000000
CPU: Intel Pentium III (Coppermine) stepping 03
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.37 (20001109) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xf06a0, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
Unknown bridge resource 2: assuming transparent
PCI: Using IRQ router PIIX [8086/2410] at 00:1f.0
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.14)
Starting kswapd v1.8
pty: 256 Unix98 ptys configured
block: queued sectors max/low 83226kB/27742kB, 256 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev f9
PIIX4: chipset revision 2
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xb800-0xb807, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xb808-0xb80f, BIOS settings: hdc:DMA, hdd:pio
hda: ST320423A, ATA DISK drive
hdc: CR-4804TE, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: 40011300 sectors (20486 MB) w/512KiB Cache, CHS=2490/255/63, UDMA(66)
Partition check:
 hda: hda1 hda2 hda3 < hda5 hda6 >
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
Serial driver version 5.02 (2000-08-09) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
Real Time Clock Driver v1.10d
md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md.c: sizeof(mdp_super_t) = 4096
autodetecting RAID arrays
autorun ...
... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 512 buckets, 4Kbytes
TCP: Hash tables configured (established 8192 bind 8192)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 236k freed
Adding Swap: 136512k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.251 $ time 20:53:29 Apr  8 2001
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 9 for device 00:1f.2
PCI: The same IRQ used for device 01:0b.0
PCI: Setting latency timer of device 00:1f.2 to 64
usb-uhci.c: USB UHCI at I/O 0xb400, IRQ 9
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
hub.c: USB new device connect on bus1/1, assigned device number 2
usb.c: USB device 2 (vend/prod 0x9ef/0x101) is not claimed by any active driver.
SCSI subsystem driver Revision: 1.00
scsi0 : SCSI host adapter emulation for IDE ATAPI devices
  Vendor: MITSUMI   Model: CR-4804TE         Rev: 1.0S
  Type:   CD-ROM                             ANSI SCSI revision: 02
Winbond Super-IO detection, now testing ports 3F0,370,250,4E,2E ...
Winbond chip at EFER=0x2e key=0x87 devid=52 devrev=17 oldid=ff
Winbond chip type 83627
Winbond LPT Config: cr_30=01 60,61=0378 70=07 74=03, f0=38
Winbond LPT Config: active=yes, io=0x0378 irq=7, dma=3
Winbond LPT Config: irqtype=pulsed low, high-Z, ECP fifo threshold=7
Winbond LPT Config: Port mode=Standard (SPP) and Bidirectional(PS/2)
SMSC Super-IO detection, now testing Ports 2F0, 370 ...
parport0: PC-style at 0x378 [PCSPP,TRISTATE]
parport0:irq 7 detected
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
ip_conntrack (1015 buckets, 8120 max)
8139too Fast Ethernet driver 0.9.15 loaded
PCI: Found IRQ 3 for device 01:09.0
PCI: The same IRQ used for device 00:1f.3
PCI: The same IRQ used for device 00:1f.5
eth0: RealTek RTL8139 Fast Ethernet at 0xc8868000, 00:50:ba:10:ed:17, IRQ 3
eth0:  Identified 8139 chip type 'RTL-8139C'
eth0: Setting 100mbps full-duplex based on auto-negotiated partner ability 41e1.
usb.c: registered new driver audio
usbaudio: device 2 audiocontrol interface 0 has 0 input and 1 output
AudioStreaming interfaces
usbaudio: device 2 interface 1 altsetting 0 does not have an endpoint
usbaudio: device 2 interface 1 altsetting 1: format 0x00000040 sratelo 4990
sratehi 55010 attributes 0x00
usbaudio: device 2 interface 1 altsetting 2: format 0x80000040 sratelo 4990
sratehi 55010 attributes 0x00
usbaudio: device 2 interface 1 altsetting 3: format 0x00000010 sratelo 4990
sratehi 55010 attributes 0x00
usbaudio: device 2 interface 1 altsetting 4: format 0x80000010 sratelo 4990
sratehi 55010 attributes 0x00
usbaudio: device 2 interface 1 altsetting 5 unsupported channels 1 framesize 3
usbaudio: device 2 interface 1 altsetting 6 unsupported channels 2 framesize 3
usbaudio: constructing mixer for Terminal 3 type 0x0301
usb_audio_parsecontrol: usb_audio_state at c7a00e40
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 93M
agpgart: Detected an Intel i810 Chipset.
agpgart: AGP aperture is 64M @ 0xe4000000
[drm] AGP 0.99 on Intel i810 @ 0xe4000000 64MB
[drm] Initialized i810 1.1.0 20000928 on minor 63
mtrr: no MTRR for e4000000,2000000 found
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.12

Hope that helps!!

Comment 4 Bill Nottingham 2001-07-10 18:22:42 EDT
If it hangs the machine, it's a kernel problem. Netscape should not be able to
do that.
Comment 5 Alexei Podtelezhnikov 2001-07-10 19:09:06 EDT
The fully updated RH 7.1 includes newer netscape-communicator 4.77-1 and a new 
kernel 2.3.4-12 with the fixed MTRR problem, which are not in the above 
description. If you meen "fully installed", then the ERRATA updates still 
needs to be added.
Comment 6 Mike Potts 2001-07-10 19:16:04 EDT
Sorry, I'd assumed the ERRATA had been added to this machine.  I have
an almost identical machine (VAIO PCV-J100) at home with all ERRATA
installed which has the same problem though.  I didn't notice this
issue until maybe the last four weeks or so.  But I only started
using netscape as my primary browser about that time also.
Comment 7 Need Real Name 2002-02-07 03:50:17 EST
I seem to have a very similar problem as noted in this bug.  My problem is fully
documented in support ticket 196718.  After a couple months of give and take
with them, i was referred to bugzilla.  All system details are in that ticket,
but I can provide anything else you need.  My system hangs whether in netscape,
staroffice, or just idling with the screen saver or screen lock on.  I am
running RH7.1 (2.4.2-2 on i686) on a 1.33GHz Athlon.  Its interesting to note
that I also expperienced bug 58814 when trying to install the OS in the first
place.  Perhaps the two are related.

Never used bugzilla before.  Hopefully this will get to someone.
Thanks.
Comment 8 Rutger Noot 2002-02-07 04:15:09 EST
Could you try if you also experience bug 41230 and/or bug 47650?
Especially the first one was a `sure kill' on my system. 
If so, it is probably a bug in XFree86 and you might try disabeling 
some or all X acceleration as described under bug 47650; that 
solution WORKSFORME.
Comment 9 Bugzilla owner 2004-09-30 11:39:04 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.